Bug 1402265 (CVE-2016-9907) - CVE-2016-9907 Qemu: usb: redirector: memory leakage when destroying redirector
Summary: CVE-2016-9907 Qemu: usb: redirector: memory leakage when destroying redirector
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9907
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1402266 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1395985 1476084
TreeView+ depends on / blocked
 
Reported: 2016-12-07 07:19 UTC by Prasad J Pandit
Modified: 2019-09-29 14:02 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:03:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Prasad J Pandit 2016-12-07 07:19:01 UTC
Quick Emulator(Qemu) built with the USB redirector usb-guest support is
vulnerable to a memory leakage flaw. It could occur while destroying the USB
redirector in 'usbredir_handle_destroy'.

A guest user/process could use this issue to leak host memory, resulting in
DoS for a host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg01379.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/06/3

Comment 1 Prasad J Pandit 2016-12-07 07:20:24 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1402266]

Comment 3 Cole Robinson 2017-01-16 18:42:58 UTC
commit 07b026fd82d6cf11baf7d7c603c4f5f6070b35bf
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Mon Nov 7 21:57:46 2016 -0800

    usbredir: free vm_change_state_handler in usbredir destroy dispatch

Comment 4 errata-xmlrpc 2017-08-02 00:58:27 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 5 errata-xmlrpc 2017-08-02 04:47:17 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.